AbstractCatalinaTask (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.catalina.ant, class: AbstractCatalinaTask

# Class AbstractCatalinaTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.catalina.ant.BaseRedirectorHelperTask
org.apache.catalina.ant.AbstractCatalinaTask

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `AbstractCatalinaCommandTask, FindLeaksTask, JKStatusUpdateTask, JMXGetTask, JMXQueryTask, JMXSetTask, ListTask, ResourcesTask, ServerinfoTask, SslConnectorCiphersTask, ThreaddumpTask, VminfoTask`

public abstract class AbstractCatalinaTask extends BaseRedirectorHelperTask
Abstract base class for Ant tasks that interact with the Manager web application for dynamically deploying and undeploying applications. These tasks require Ant 1.4 or later.

Since:
  4.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `charset`
  The charset used during URL encoding.
  `protected boolean`
  `ignoreResponseConstraint`
  If set to true - ignore the constraint of the first line of the response message that must be "OK -".
  `protected String`
  `password`
  The login password for the `Manager` application.
  `protected String`
  `url`
  The URL of the `Manager` application to be used.
  `protected String`
  `username`
  The login username for the `Manager` application.

  ### Fields inherited from class BaseRedirectorHelperTask

  `alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractCatalinaTask()`
  Construct a new instance of this task.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute()`
  Execute the specified command.
  `void`
  `execute(String command)`
  Execute the specified command, based on the configured properties.
  `void`
  `execute(String command, InputStream istream, String contentType, long contentLength)`
  Execute the specified command, based on the configured properties.
  `String`
  `getCharset()`
  Returns the charset used during URL encoding.
  `String`
  `getPassword()`
  Returns the login password for the Manager application.
  `String`
  `getUrl()`
  Returns the URL of the Manager application to be used.
  `String`
  `getUsername()`
  Returns the login username for the Manager application.
  `boolean`
  `isIgnoreResponseConstraint()`
  Returns whether the constraint on the first line of the response message is ignored.
  `void`
  `setCharset(String charset)`
  Sets the charset used during URL encoding.
  `void`
  `setIgnoreResponseConstraint(boolean ignoreResponseConstraint)`
  Sets whether the constraint on the first line of the response message is ignored.
  `void`
  `setPassword(String password)`
  Sets the login password for the Manager application.
  `void`
  `setUrl(String url)`
  Sets the URL of the Manager application to be used.
  `void`
  `setUsername(String username)`
  Sets the login username for the Manager application.

  ### Methods inherited from class BaseRedirectorHelperTask

  `addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### charset

    protected String charset
    The charset used during URL encoding.

  - ### password

    protected String password
    The login password for the `Manager` application.

  - ### url

    protected String url
    The URL of the `Manager` application to be used.

  - ### username

    protected String username
    The login username for the `Manager` application.

  - ### ignoreResponseConstraint

    protected boolean ignoreResponseConstraint
    If set to true - ignore the constraint of the first line of the response message that must be "OK -".

    When this attribute is set to `false` (the default), the first line of server response is expected to start with "OK -". If it does not then the task is considered as failed and the first line is treated as an error message.

    When this attribute is set to `true`, the first line of the response is treated like any other, regardless of its text.

- ## Constructor Details

  - ### AbstractCatalinaTask

    protected AbstractCatalinaTask()
    Construct a new instance of this task.

- ## Method Details

  - ### getCharset

    public String getCharset()
    Returns the charset used during URL encoding.
    Returns:
      the charset

  - ### setCharset

    public void setCharset(String charset)
    Sets the charset used during URL encoding.
    Parameters:
      `charset` - the charset to set

  - ### getPassword

    public String getPassword()
    Returns the login password for the Manager application.
    Returns:
      the password

  - ### setPassword

    public void setPassword(String password)
    Sets the login password for the Manager application.
    Parameters:
      `password` - the password to set

  - ### getUrl

    public String getUrl()
    Returns the URL of the Manager application to be used.
    Returns:
      the url

  - ### setUrl

    public void setUrl(String url)
    Sets the URL of the Manager application to be used.
    Parameters:
      `url` - the url to set

  - ### getUsername

    public String getUsername()
    Returns the login username for the Manager application.
    Returns:
      the username

  - ### setUsername

    public void setUsername(String username)
    Sets the login username for the Manager application.
    Parameters:
      `username` - the username to set

  - ### isIgnoreResponseConstraint

    public boolean isIgnoreResponseConstraint()
    Returns whether the constraint on the first line of the response message is ignored.
    Returns:
      true if the constraint is ignored

  - ### setIgnoreResponseConstraint

    public void setIgnoreResponseConstraint(boolean ignoreResponseConstraint)
    Sets whether the constraint on the first line of the response message is ignored.
    Parameters:
      `ignoreResponseConstraint` - true to ignore the constraint

  - ### execute

    public void execute() throws org.apache.tools.ant.BuildException
    Execute the specified command. This logic only performs the common attribute validation required by all subclasses; it does not perform any functional logic directly.
    Overrides:
      `execute` in class `org.apache.tools.ant.Task`
    Throws:
      `org.apache.tools.ant.BuildException` - if a validation error occurs

  - ### execute

    public void execute(String command) throws org.apache.tools.ant.BuildException
    Execute the specified command, based on the configured properties.
    Parameters:
      `command` - Command to be executed
    Throws:
      `org.apache.tools.ant.BuildException` - if an error occurs

  - ### execute

    public void execute(String command, InputStream istream, String contentType, long contentLength) throws org.apache.tools.ant.BuildException
    Execute the specified command, based on the configured properties. The input stream will be closed upon completion of this task, whether it was executed successfully or not.
    Parameters:
      `command` - Command to be executed
      `istream` - InputStream to include in an HTTP PUT, if any
      `contentType` - Content type to specify for the input, if any
      `contentLength` - Content length to specify for the input, if any
    Throws:
      `org.apache.tools.ant.BuildException` - if an error occurs